import { Component, OnInit, ViewChild } from '@angular/core';

import { DATA } from './customers';
import { IgxGridComponent } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  @ViewChild("grid1", { static: true }) public grid1: IgxGridComponent;
  
  title = 'kb3667-app1';

  public data: any[];
  public columns: any[];

  constructor(){}

  ngOnInit(): void {
    this.data = DATA;

    this.columns = [];
    Object.keys(this.data[0]).forEach((key, index) => {
      this.columns.push({ field: key, header: key, editable: true});
    });
  }

  public button1Clicked(): void {
    this.grid1.endEdit();
  }
}
